/*
 * Mplayer Gui for win32
 * Copyright (c) 2003 Sascha Sommer <saschasommer@freenet.de>
 * Copyright (c) 2005 Erik Augustson <erik_27can@yahoo.com>
 * Copyright (c) 2005 Gianluigi Tiesi <sherpya@netfarm.it>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef _PLAYERINFO_H
#define _PLAYERINFO_H

typedef struct player_info_t player_info_t;
struct player_info_t
{
    int state;
    int track;
    char *filename;
    int streamtype;
    int width, height;
    char *codec;
    int hh, mm, ss;   /* playtime */
    int lhh, lmm, lss; /* length */
    float position;
    float volume, balance;
    int channels;
};

#endif
